#351 All RX packets dropped on 82574L with driver 2.0.0

closed
nobody
None
in-kernel_driver
1
2013-07-09
2012-08-07
Mark Goodlein
No

Hello. We have an embedded system (x86) running Linux 2.6.15 with three (3) 82574L NICs. The system is an Advantech SOM-4455Z ETX module (AMD Geode LX800 500MHz processor, 512MB DDR).
Since it is a System-On-Module in the ETX format, it has only PCI not PCIe. Therefore, we developed a custom PCI network card that has a PCI-to-PCIe bridge that connects to a PCIe switch (1to3) which connects to three 82574L chips.
Our system does not have ACPI nor APM enabled in the BIOS nor the Linux kernel.
Our system does not support MSI or MSI-X, it uses legacy interrupts.

At one of our customer sites where they have just one of the 82574L ports connected to their network (eth1), the system will send/receive traffic on eth1 normally for anywhere from a few hours to a couple weeks then it goes into a state where all RX packets are dropped. If the interface is brought down and then back up, it will begin receiving packets once again until eventually it gets back into that same state and drops all RX packets.

This problem was first noticed in version 1.1.2 of the e1000e driver. I then updated to the 2.0.0 version of the driver and the problem still occurs. I then compiled the driver without support for NAPI, but the problem still occurs. I have since built the driver with DEBUG enabled, hoping to get some useful log messages when the problem occurs, but there aren't any useful log messages displayed when the problem occurs.

I am attaching the results of 'lspci -vvv', 'lspci -s 03:00.0 -vvv -xxxx', ifconfig (which was done a few times to display the RX dropped count increasing but RX count not increasing), 'ethtool -e eth1', 'ethtool -S eth1', and also a dump of the debug log messages printed int he kernel log.

Any help here will be appreciated.

Thanks,
Mark

1 Attachments

Discussion

  • Mark Goodlein
    Mark Goodlein
    2012-08-07

    [root@hn02pdmi33 ~]# lspci -s 03:00.0 -vvv -xxxx
    03:00.0 Ethernet controller: Intel Corporation Unknown device 10d3
    Subsystem: Intel Corporation Unknown device 0000
    Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
    Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort-="">SERR- <PERR-
    Latency: 0, Cache Line Size: 64 bytes
    Interrupt: pin A routed to IRQ 11
    Region 0: Memory at efea0000 (32-bit, non-prefetchable) [size=128K]
    Region 1: Memory at efec0000 (32-bit, non-prefetchable) [size=128K]
    Region 2: I/O ports at df00 [size=32]
    Region 3: Memory at efefc000 (32-bit, non-prefetchable) [size=16K]
    Capabilities: [c8] Power Management version 2
    Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold-)
    Status: D0 PME-Enable- DSel=0 DScale=1 PME-
    Capabilities: [d0] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
    Address: 0000000000000000 Data: 0000
    Capabilities: [e0] Express Endpoint IRQ 0
    Device: Supported: MaxPayload 256 bytes, PhantFunc 0, ExtTag-
    Device: Latency L0s <512ns, L1 <64us
    Device: AtnBtn- AtnInd- PwrInd-
    Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
    Device: RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
    Device: MaxPayload 128 bytes, MaxReadReq 512 bytes
    Link: Supported Speed 2.5Gb/s, Width x1, ASPM L0s L1, Port 1
    Link: Latency L0s <128ns, L1 <64us
    Link: ASPM Disabled RCB 64 bytes CommClk- ExtSynch-
    Link: Speed 2.5Gb/s, Width x1
    Capabilities: [a0] MSI-X: Enable- Mask- TabSize=5
    Vector table: BAR=3 offset=00000000
    PBA: BAR=3 offset=00002000
    00: 86 80 d3 10 07 00 10 00 00 00 00 02 10 00 00 00
    10: 00 00 ea ef 00 00 ec ef 01 df 00 00 00 c0 ef ef
    20: 00 00 00 00 00 00 00 00 00 00 00 00 86 80 00 00
    30: 00 00 00 00 c8 00 00 00 00 00 00 00 0b 01 00 00
    40: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    50: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    a0: 11 00 04 00 03 00 00 00 03 20 00 00 00 00 00 00
    b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    c0: 00 00 00 00 00 00 00 00 01 d0 22 48 00 20 00 0f
    d0: 05 e0 80 00 00 00 00 00 00 00 00 00 00 00 00 00
    e0: 10 a0 01 00 c1 8c 00 00 10 28 00 00 11 1c 03 01
    f0: 00 00 11 10 00 00 00 00 00 00 00 00 00 00 00 00

     
    Last edit: Mark Goodlein 2012-08-07
  • Mark Goodlein
    Mark Goodlein
    2012-08-07

    [root@hn02pdmi33 ~]# ifconfig
    eth0 Link encap:Ethernet HWaddr 00:D0:C9:C6:E7:F6
    inet addr:10.251.10.47 Bcast:10.251.10.63 Mask:255.255.255.192
    inet6 addr: fe80::2d0:c9ff:fec6:e7f6/64 Scope:Link
    UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
    RX packets:1850517 errors:0 dropped:0 overruns:0 frame:0
    TX packets:1791928 errors:0 dropped:0 overruns:0 carrier:0
    collisions:0 txqueuelen:1000
    RX bytes:297172346 (283.4 Mb) TX bytes:151823149 (144.7 Mb)
    Interrupt:10 Base address:0xec00

    eth1 Link encap:Ethernet HWaddr 00:0C:EC:05:01:D9
    inet addr:10.251.4.250 Bcast:10.251.7.255 Mask:255.255.252.0
    inet6 addr: fe80::20c:ecff:fe05:1d9/64 Scope:Link
    UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
    RX packets:13392437 errors:0 dropped:40290096 overruns:0 frame:0
    TX packets:1746172 errors:0 dropped:0 overruns:0 carrier:0
    collisions:0 txqueuelen:1000
    RX bytes:828974640 (790.5 Mb) TX bytes:137020480 (130.6 Mb)
    Interrupt:11 Memory:efea0000-efec0000

    eth2 Link encap:Ethernet HWaddr 00:0C:EC:04:01:D9
    inet addr:10.10.203.1 Bcast:10.10.255.255 Mask:255.255.0.0
    inet6 addr: fe80::20c:ecff:fe04:1d9/64 Scope:Link
    UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
    RX packets:53139935 errors:0 dropped:0 overruns:0 frame:0
    TX packets:65402 errors:0 dropped:0 overruns:0 carrier:0
    collisions:0 txqueuelen:1000
    RX bytes:3219044208 (3069.9 Mb) TX bytes:2746988 (2.6 Mb)
    Interrupt:7 Memory:efda0000-efdc0000

    eth3 Link encap:Ethernet HWaddr 00:0C:EC:06:01:D9
    inet addr:10.10.204.1 Bcast:10.10.255.255 Mask:255.255.0.0
    UP BROADCAST MULTICAST MTU:1500 Metric:1
    RX packets:0 errors:0 dropped:0 overruns:0 frame:0
    TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
    collisions:0 txqueuelen:1000
    RX bytes:0 (0.0 b) TX bytes:0 (0.0 b)
    Interrupt:5 Memory:efca0000-efcc0000

    lo Link encap:Local Loopback
    inet addr:127.0.0.1 Mask:255.0.0.0
    inet6 addr: ::1/128 Scope:Host
    UP LOOPBACK RUNNING MTU:16436 Metric:1
    RX packets:19384859 errors:0 dropped:0 overruns:0 frame:0
    TX packets:19384859 errors:0 dropped:0 overruns:0 carrier:0
    collisions:0 txqueuelen:0
    RX bytes:1267539412 (1208.8 Mb) TX bytes:1267539412 (1208.8 Mb)

    [root@hn02pdmi33 ~]# ifconfig eth1
    eth1 Link encap:Ethernet HWaddr 00:0C:EC:05:01:D9
    inet addr:10.251.4.250 Bcast:10.251.7.255 Mask:255.255.252.0
    inet6 addr: fe80::20c:ecff:fe05:1d9/64 Scope:Link
    UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
    RX packets:13392437 errors:0 dropped:40300188 overruns:0 frame:0
    TX packets:1746273 errors:0 dropped:0 overruns:0 carrier:0
    collisions:0 txqueuelen:1000
    RX bytes:828974640 (790.5 Mb) TX bytes:137024722 (130.6 Mb)
    Interrupt:11 Memory:efea0000-efec0000

    [root@hn02pdmi33 ~]# ifconfig eth1
    eth1 Link encap:Ethernet HWaddr 00:0C:EC:05:01:D9
    inet addr:10.251.4.250 Bcast:10.251.7.255 Mask:255.255.252.0
    inet6 addr: fe80::20c:ecff:fe05:1d9/64 Scope:Link
    UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
    RX packets:13392437 errors:0 dropped:40361682 overruns:0 frame:0
    TX packets:1746831 errors:0 dropped:0 overruns:0 carrier:0
    collisions:0 txqueuelen:1000
    RX bytes:828974640 (790.5 Mb) TX bytes:137048158 (130.6 Mb)
    Interrupt:11 Memory:efea0000-efec0000

     
    Last edit: Mark Goodlein 2012-08-07
    Attachments
  • Mark Goodlein
    Mark Goodlein
    2012-08-07

    [root@hn02pdmi33 ~]# ethtool -e eth1
    OffsetValues


    0x000000 0c ec 05 01 d9 24 04 46 f7 10 20 ff ff ff ff
    0x0010ff ff ff ff 6b 02 00 00 86 80 d3 10 ff ff 5a 8a
    0x002000 00 01 d7 94 7e ff ff 00 10 48 00 00 00 04 27
    0x0030c9 6c 50 31 3e 07 0b 46 84 2d 40 01 00 f0 06 07
    0x004000 60 80 00 04 0f ff ff 01 4d 00 c6 00 00 ff 20
    0x005028 00 03 00 00 00 00 00 00 00 03 00 00 00 ff ff
    0x006000 01 00 40 1c 12 07 40 ff ff ff ff ff ff ff ff
    0x0070ff ff ff ff ff ff ff ff ff ff 00 01 ff ff 65 c0
    0x0080ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0090ff ff ff ff 00 c7 ff ff ff ff ff ff ff ff ff ff
    0x00a0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x00b0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x00c0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x00d0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x00e0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x00f0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0100ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0110ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0120ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0130ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0140ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0150ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0160ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0170ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0180ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0190ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x01a0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x01b0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x01c0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x01d0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x01e0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x01f0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x020069 53 84 03 01 00 00 00 00 00 00 00 00 00 00 00
    0x021000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x022000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x023000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x024000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x025000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x026000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x027000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x028000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x029000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x02a000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x02b000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x02c000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x02d000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x02e000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x02f000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x030000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x031000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x032000 00 00 00 00 00 00 00 03 3d 00 00 00 00 00 00
    0x033000 00 00 00 00 00 00 00 00 00 00 00 bc 0c 00 00
    0x034000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x035000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x036000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x037000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x038000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x039000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x03a000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x03b000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x03c000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x03d000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x03e000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x03f000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x040000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x041000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x042000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x043000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x044000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x045000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x046000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x047000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x048000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x049000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x04a000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x04b000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x04c000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x04d000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x04e000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x04f000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x050000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x051000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x052000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x053000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x054000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x055000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x056000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x057000 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
    0x058000 00 00 00 ff ff ff ff ff ff ff ff ff ff ff ff
    0x0590ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x05a0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x05b0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x05c0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x05d0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x05e0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x05f0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0600ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0610ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0620ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0630ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0640ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0650ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0660ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0670ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0680ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0690ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x06a0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x06b0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x06c0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x06d0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x06e0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x06f0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0700ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0710ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0720ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0730ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0740ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0750ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0760ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0770ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0780ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0790ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x07a0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x07b0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x07c0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x07d0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x07e0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x07f0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0800ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0810ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0820ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0830ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0840ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0850ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0860ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0870ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0880ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0890ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x08a0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x08b0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x08c0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x08d0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x08e0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x08f0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0900ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0910ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0920ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0930ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0940ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0950ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0960ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0970ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0980ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0990ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x09a0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x09b0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x09c0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x09d0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x09e0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x09f0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0a00ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0a10ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0a20ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0a30ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0a40ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0a50ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0a60ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0a70ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0a80ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0a90ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0aa0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0ab0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0ac0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0ad0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0ae0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0af0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0b00ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0b10ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0b20ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0b30ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0b40ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0b50ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0b60ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0b70ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0b80ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0b90ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0ba0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0bb0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0bc0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0bd0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0be0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0bf0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0c00ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0c10ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0c20ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0c30ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0c40ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0c50ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0c60ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0c70ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0c80ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0c90ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0ca0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0cb0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0cc0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0cd0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0ce0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0cf0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0d00ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0d10ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0d20ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0d30ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0d40ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0d50ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0d60ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0d70ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0d80ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0d90ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0da0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0db0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0dc0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0dd0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0de0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0df0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0e00ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0e10ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0e20ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0e30ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0e40ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0e50ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0e60ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0e70ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0e80ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0e90ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0ea0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0eb0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0ec0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0ed0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0ee0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0ef0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0f00ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0f10ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0f20ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0f30ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0f40ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0f50ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0f60ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0f70ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0f80ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0f90ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0fa0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0fb0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0fc0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0fd0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0fe0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff
    0x0ff0ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff ff

     
    Last edit: Mark Goodlein 2012-08-07
    Attachments
  • Mark Goodlein
    Mark Goodlein
    2012-08-07

    [root@hn02pdmi33 ~]# ethtool -S eth1
    NIC statistics:
    rx_packets: 13393088
    tx_packets: 1746335
    rx_bytes: 882586522
    tx_bytes: 151566312
    rx_broadcast: 12544354
    tx_broadcast: 403575
    rx_multicast: 918
    tx_multicast: 1
    rx_errors: 0
    tx_errors: 0
    rx_dropped_backlog: 0
    tx_dropped: 0
    multicast: 918
    collisions: 0
    rx_length_errors: 0
    rx_over_errors: 0
    rx_crc_errors: 0
    rx_frame_errors: 0
    rx_no_buffer_count: 400
    rx_missed_errors: 40307131
    tx_aborted_errors: 0
    tx_carrier_errors: 0
    tx_fifo_errors: 0
    tx_heartbeat_errors: 0
    tx_window_errors: 0
    tx_abort_late_coll: 0
    tx_deferred_ok: 0
    tx_single_coll_ok: 0
    tx_multi_coll_ok: 0
    tx_timeout_count: 0
    tx_restart_queue: 0
    rx_long_length_errors: 0
    rx_short_length_errors: 0
    rx_align_errors: 0
    tx_tcp_seg_good: 0
    tx_tcp_seg_failed: 0
    rx_flow_control_xon: 0
    rx_flow_control_xoff: 0
    tx_flow_control_xon: 0
    tx_flow_control_xoff: 0
    rx_long_byte_count: 882586522
    rx_csum_offload_good: 847614
    rx_csum_offload_errors: 0
    rx_header_split: 0
    alloc_rx_buff_failed: 0
    tx_smbus: 0
    rx_smbus: 0
    dropped_smbus: 0
    rx_dma_failed: 0
    tx_dma_failed: 0

     
    Last edit: Mark Goodlein 2012-08-07
    Attachments
  • Mark Goodlein
    Mark Goodlein
    2012-08-07

    [root@hn02pdmi33 ~]# cat /home/spectracom/log/kern.log | grep eth1
    Aug 2 18:59:48 hn02pdmi33 kernel: kobject eth1: registering. parent: net, set: class_obj
    Aug 2 18:59:48 hn02pdmi33 kernel: fill_kobj_path: path = '/class/net/eth1'
    Aug 2 18:59:48 hn02pdmi33 kernel: kobject_hotplug: /sbin/hotplug net seq=229 HOME=/ PATH=/sbin:/bin:/usr/sbin:/usr/bin ACTION=add DEVPATH=/class/net/eth1 SUBSYSTEM=net
    Aug 2 18:59:48 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: (PCI Express:2.5GT/s:Width x1) 00:0c:ec:05:01:d9
    Aug 2 18:59:48 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Intel(R) PRO/1000 Network Connection
    Aug 2 18:59:48 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: NVM PBA number is not stored as string
    Aug 2 18:59:48 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: MAC: 4, PHY: 8, PBA No: FFFFFF-0FF
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Masking off all interrupts
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Issuing a global reset to MAC
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Initializing the IEEE VLAN
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Programming MAC Address into RAR[0]
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Clearing RAR[1-14]
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Zeroing the MTA
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: After fix-ups FlowControl is now = 3
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Reconfiguring auto-neg advertisement params
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: autoneg_advertised 2f
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Advertise 10mb Half duplex
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Advertise 10mb Full duplex
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Advertise 100mb Half duplex
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Advertise 100mb Full duplex
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Advertise 1000mb Full duplex
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Auto-Neg Advertising de1
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Restarting Auto-Neg
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Unable to establish link!!!
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Initializing the Flow Control address, type and timer regs
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Phy info is only valid if link is up
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: After fix-ups FlowControl is now = 3
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Reconfiguring auto-neg advertisement params
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: autoneg_advertised 2f
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Advertise 10mb Half duplex
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Advertise 10mb Full duplex
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Advertise 100mb Half duplex
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Advertise 100mb Full duplex
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Advertise 1000mb Full duplex
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Auto-Neg Advertising de1
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Restarting Auto-Neg
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Unable to establish link!!!
    Aug 2 19:00:00 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Initializing the Flow Control address, type and timer regs
    Aug 2 19:00:00 hn02pdmi33 kernel: ADDRCONF(NETDEV_UP): eth1: link is not ready
    Aug 2 19:00:04 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: hw->fc.current_mode = 3
    Aug 2 19:00:04 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Flow Control = NONE.
    Aug 2 19:00:04 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: 1000 Mbps, Full Duplex
    Aug 2 19:00:04 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: hw->fc.current_mode = 0
    Aug 2 19:00:04 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: 1000 Mbps, Full Duplex
    Aug 2 19:00:04 hn02pdmi33 kernel: e1000e: eth1 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
    Aug 2 19:00:04 hn02pdmi33 kernel: ADDRCONF(NETDEV_CHANGE): eth1: link becomes ready
    Aug 2 19:00:04 hn02pdmi33 kernel: e1000e: eth1 NIC Link is Down
    Aug 2 19:00:04 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Reset adapter
    Aug 2 19:00:04 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Masking off all interrupts
    Aug 2 19:00:04 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Issuing a global reset to MAC
    Aug 2 19:00:04 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Initializing the IEEE VLAN
    Aug 2 19:00:04 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Programming MAC Address into RAR[0]
    Aug 2 19:00:04 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Clearing RAR[1-14]
    Aug 2 19:00:05 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Zeroing the MTA
    Aug 2 19:00:05 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: After fix-ups FlowControl is now = 3
    Aug 2 19:00:05 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Reconfiguring auto-neg advertisement params
    Aug 2 19:00:05 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: autoneg_advertised 2f
    Aug 2 19:00:05 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Advertise 10mb Half duplex
    Aug 2 19:00:05 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Advertise 10mb Full duplex
    Aug 2 19:00:05 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Advertise 100mb Half duplex
    Aug 2 19:00:05 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Advertise 100mb Full duplex
    Aug 2 19:00:05 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Advertise 1000mb Full duplex
    Aug 2 19:00:05 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Auto-Neg Advertising de1
    Aug 2 19:00:05 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Restarting Auto-Neg
    Aug 2 19:00:05 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Unable to establish link!!!
    Aug 2 19:00:05 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Initializing the Flow Control address, type and timer regs
    Aug 2 19:00:05 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Phy info is only valid if link is up
    Aug 2 19:00:07 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Reset adapter
    Aug 2 19:00:07 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Masking off all interrupts
    Aug 2 19:00:07 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Issuing a global reset to MAC
    Aug 2 19:00:07 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Initializing the IEEE VLAN
    Aug 2 19:00:07 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Programming MAC Address into RAR[0]
    Aug 2 19:00:07 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Clearing RAR[1-14]
    Aug 2 19:00:07 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Zeroing the MTA
    Aug 2 19:00:07 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: After fix-ups FlowControl is now = 3
    Aug 2 19:00:07 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Reconfiguring auto-neg advertisement params
    Aug 2 19:00:07 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: autoneg_advertised 2f
    Aug 2 19:00:07 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Advertise 10mb Half duplex
    Aug 2 19:00:07 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Advertise 10mb Full duplex
    Aug 2 19:00:07 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Advertise 100mb Half duplex
    Aug 2 19:00:07 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Advertise 100mb Full duplex
    Aug 2 19:00:07 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Advertise 1000mb Full duplex
    Aug 2 19:00:07 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Auto-Neg Advertising de1
    Aug 2 19:00:07 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Restarting Auto-Neg
    Aug 2 19:00:07 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Unable to establish link!!!
    Aug 2 19:00:07 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Initializing the Flow Control address, type and timer regs
    Aug 2 19:00:07 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Phy info is only valid if link is up
    Aug 2 19:00:09 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: hw->fc.current_mode = 3
    Aug 2 19:00:09 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: Flow Control = NONE.
    Aug 2 19:00:09 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: 1000 Mbps, Full Duplex
    Aug 2 19:00:09 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: hw->fc.current_mode = 0
    Aug 2 19:00:09 hn02pdmi33 kernel: e1000e 0000:03:00.0: eth1: 1000 Mbps, Full Duplex
    Aug 2 19:00:09 hn02pdmi33 kernel: e1000e: eth1 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
    Aug 2 19:00:14 hn02pdmi33 kernel: eth1: no IPv6 routers present

     
    Last edit: Mark Goodlein 2012-08-07
    Attachments
  • Mark Goodlein
    Mark Goodlein
    2012-08-07

    [root@hn02pdmi33 ~]# ethtool -k eth1
    Offload parameters for eth1:
    Cannot get device udp large send offload settings: Operation not supported
    Cannot get device generic segmentation offload settings: Operation not supported
    Cannot get device flags: Operation not supported
    Cannot get device GRO settings: Operation not supported
    rx-checksumming: on
    tx-checksumming: on
    scatter-gather: on
    tcp-segmentation-offload: on
    udp-fragmentation-offload: off
    generic-segmentation-offload: off
    generic-receive-offload: off
    large-receive-offload: off
    rx-vlan-offload: off
    tx-vlan-offload: off
    ntuple-filters: off
    receive-hashing: off

     
    Last edit: Mark Goodlein 2012-08-07
    Attachments
  • Tushar Dave
    Tushar Dave
    2012-08-07

    Would you please send me the output of lspci -vvv after issue occurs?

     
  • Mark Goodlein
    Mark Goodlein
    2012-08-07

    All of these attachments are from a system after the issue has occurred.

     
  • Tushar Dave
    Tushar Dave
    2012-08-07

    Have you tried booting kernel with pcie_aspm=off ?

     
  • Mark Goodlein
    Mark Goodlein
    2012-08-07

    Our system does not have a PCIe bus (it is accessed via PCI thru a PCIe bridge chip) and the kernel is not built with PCIe support.

     
  • Mark Goodlein
    Mark Goodlein
    2012-08-17

    Any other ideas on this issue?

     
  • Mark Goodlein
    Mark Goodlein
    2012-08-29

    Any other things I can try or information needed concerning this issue? It appears as if perhaps the chip is trying the allocate a buffer for RX packets but there are no buffers available for some reason. Any thoughts on this? If I bring the link down and then back up again, the interface starts receiving packets again.

     
  • Hello, I'm assisting Tushar on this.

    Can I get the full dmesg log and not just the bit with e1000e once the problem has occurred? I checked the lspci and don't see anything particularly strange in the device configuration there. Can I get an ethtool ethX output to show current settings. As a test, can you load the Source Forge version of the driver and tell me if it behaves in the same way. As an embedded part, have you made any changes to the kernel or the driver to support that?

    Thanks,

    Carolyn

     
  • Mark Goodlein
    Mark Goodlein
    2012-08-30

    Ok, I will get the full dmesg log both before and after it occurs. It may take a bit for me to get the after-occurs dmesg since I need to wait for the problem to happen again. I will also grab the ethtool settings. What do you mean by the sourceforge version of the driver? I grabbed the 2.0.0 version (when it was the latest one) of the driver from SourceForge and we have been using that. I have not modified the kernel nor the driver to support the embedded system. It is a stock 2.6.15 kernel with the USAGI patch applied for IPv6 fixes. All I did to the driver was turn off NAPI and enable debug logging when I compiled it.

    Thanks,

    Mark

     
  • --snip--
    Ok, I will get the full dmesg log both before and after it occurs. It may take a bit for me to get the after-occurs dmesg since I need to wait for the problem to happen again. I will also grab the ethtool settings. What do you mean by the sourceforge version of the driver? I grabbed the 2.0.0 version (when it was the latest one) of the driver from SourceForge and we have been using that. I have not modified the kernel nor the driver to support the embedded system. It is a stock 2.6.15 kernel with the USAGI patch applied for IPv6 fixes. All I did to the driver was turn off NAPI and enable debug logging when I compiled it.
    Thanks,
    Mark


    Sounds good. There is a slightly later version but its just got a fix for fiber devices. People also open issues here for the in-kernel driver.

     
  • Disabling napi may be taking you through a less tested code path. Was there a specific reason you're disabling NAPI and opening yourself up to DOS attacks?

    From: Mark Goodlein [mailto:mgoodlein@users.sf.net]
    Sent: Thursday, August 30, 2012 11:05 AM
    To: [e1000:bugs]
    Subject: [e1000:bugs] #351 All RX packets dropped on 82574L with driver 2.0.0

    Ok, I will get the full dmesg log both before and after it occurs. It may take a bit for me to get the after-occurs dmesg since I need to wait for the problem to happen again. I will also grab the ethtool settings. What do you mean by the sourceforge version of the driver? I grabbed the 2.0.0 version (when it was the latest one) of the driver from SourceForge and we have been using that. I have not modified the kernel nor the driver to support the embedded system. It is a stock 2.6.15 kernel with the USAGI patch applied for IPv6 fixes. All I did to the driver was turn off NAPI and enable debug logging when I compiled it.

    Thanks,

    Mark


    bugs:351 All RX packets dropped on 82574L with driver 2.0.0

    Status: open Created: Tue Aug 07, 2012 09:05 PM UTC by Mark Goodlein Last Updated: Thu Aug 30, 2012 05:55 PM UTC Owner: nobody

    Hello. We have an embedded system (x86) running Linux 2.6.15 with three (3) 82574L NICs. The system is an Advantech SOM-4455Z ETX module (AMD Geode LX800 500MHz processor, 512MB DDR).
    Since it is a System-On-Module in the ETX format, it has only PCI not PCIe. Therefore, we developed a custom PCI network card that has a PCI-to-PCIe bridge that connects to a PCIe switch (1to3) which connects to three 82574L chips. Our system does not have ACPI nor APM enabled in the BIOS nor the Linux kernel. Our system does not support MSI or MSI-X, it uses legacy interrupts.

    At one of our customer sites where they have just one of the 82574L ports connected to their network (eth1), the system will send/receive traffic on eth1 normally for anywhere from a few hours to a couple weeks then it goes into a state where all RX packets are dropped. If the interface is brought down and then back up, it will begin receiving packets once again until eventually it gets back into that same state and drops all RX packets.

    This problem was first noticed in version 1.1.2 of the e1000e driver. I then updated to the 2.0.0 version of the driver and the problem still occurs. I then compiled the driver without support for NAPI, but the problem still occurs. I have since built the driver with DEBUG enabled, hoping to get some useful log messages when the problem occurs, but there aren't any useful log messages displayed when the problem occurs.

    I am attaching the results of 'lspci -vvv', 'lspci -s 03:00.0 -vvv -xxxx', ifconfig (which was done a few times to display the RX dropped count increasing but RX count not increasing), 'ethtool -e eth1', 'ethtool -S eth1', and also a dump of the debug log messages printed int he kernel log.

    Any help here will be appreciated.

    Thanks,
    Mark


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/e1000/bugs/351/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/prefs/

     
  • Mark Goodlein
    Mark Goodlein
    2012-08-30

    I was using version 1.1.2 of the driver initially when I saw this problem. When I updated to version 2.0.0 of the driver which I downloaded from SF, NAPI was on by default and we still saw the problem. I turned off NAPI after that in order to see if that would help but it didn't. Since then I have just left it off, but I can turn it back on if you that is what you recommend. It doesn't seem to have any affect on whether this problem occurs or not.

     
  • Mark Goodlein
    Mark Goodlein
    2012-09-14

    Here is the output of the 'ethtool eth1' command. I am working on getting the output of 'dmesg'.

    Thanks,
    Mark

     
  • Todd Fujinaka
    Todd Fujinaka
    2013-07-09

    • status: open --> closed
     
  • Todd Fujinaka
    Todd Fujinaka
    2013-07-09

    Closing due to age.